#include <bits/stdc++.h>
using namespace std;
long long n;
long double finsuma,kontsuma;
long double p[200000];
long double a[200000];
int main(){
cin>>n;
for(long long i=1;i<=n;i++)
{
    cin>>a[i]>>p[i];
}
finsuma=0;

for(long long i=1;i<=n;i++)
{
    kontsuma=0;
    for(long long j=1;j<=n;j++)
    {
       if(p[j]>=p[i]){
        kontsuma+=a[j]*(p[i]/100.0)*1.0;
       }
    }
    if(kontsuma>finsuma)finsuma=kontsuma;

}
cout<<setprecision(4)<<fixed;
cout<<finsuma;

return 0;
}